BuildScope (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## grails.util
[Java] Enum BuildScope

    java.lang.Object
      java.lang.Enum
          grails.util.BuildScope

    public enum BuildScope
    extends java.lang.Enum

Represents the different scopes that plugins apply to.

Authors:
  Graeme Rocher

Since:
  1.1

Enum Constant Summary
`ALL`
`FUNCTIONAL_TEST`
`RUN`
`TEST`
`WAR`

Field Summary
`static java.lang.String` | `KEY` Represents the different scopes that plugins apply to.

Method Summary
`void` | `enable()` Enables this build scope as the curent system wide instance.
`static BuildScope` | `getCurrent()` Returns the current Scope object based on the currently set "grails.scope" System property
`static boolean` | `isValid(java.lang.String... scopeNames)` Returns whether the specified scope name(s) are valid given the current scope.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Enum
java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long, int), java.lang.Enum#wait(long), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Enum Constant Detail

### ALL

    BuildScope ALL

### FUNCTIONAL_TEST

    BuildScope FUNCTIONAL_TEST

### RUN

    BuildScope RUN

### TEST

    BuildScope TEST

### WAR

    BuildScope WAR

Field Detail

### KEY

    public static final java.lang.String KEY

  Represents the different scopes that plugins apply to.
  Authors:
    Graeme Rocher
  Since:
    1.1

Method Detail

### enable

    public void enable()

  Enables this build scope as the curent system wide instance.

### getCurrent

    public static BuildScope getCurrent()

  Returns the current Scope object based on the currently set "grails.scope" System property
  Returns:
    The Scope object

### isValid

    public static boolean isValid(java.lang.String... scopeNames)

  Returns whether the specified scope name(s) are valid given the current scope.
  Parameters:
    `scopeNames` - The list of scope names
  Returns:
    true if they are valid

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation